#include "SettingsPresenter.h"
#include "SettingsCategory.h"
#include "EOverlayTabs.h"

class USettingsSubCategoryViewData;

void USettingsPresenter::OnTabSelected(const SettingsCategory category)
{

}

void USettingsPresenter::OnTabEntered(const EOverlayTabs tab, const SettingsCategory category)
{

}

void USettingsPresenter::OnSubCategorySelected(const USettingsSubCategoryViewData* subCategoryViewData)
{

}

void USettingsPresenter::OnResetDefaultsInputSwitcherTriggered()
{

}

void USettingsPresenter::OnQuitInputSwitcherTriggered()
{

}

void USettingsPresenter::OnBackInputSwitcherTriggered()
{

}

USettingsPresenter::USettingsPresenter()
{

}
